org.richfaces.renderkit

## Class TreeNodeRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.TreeNodeRendererBase

- All Implemented Interfaces:
    org.richfaces.ui.common.meta.MetaComponentRenderer
  Direct Known Subclasses:
    TreeNodeRenderer

      public class TreeNodeRendererBase
      extends org.richfaces.renderkit.RendererBase
      implements org.richfaces.ui.common.meta.MetaComponentRenderer

  Author:
    Nick Belaevski

- - ### Field Summary

    - ### Fields inherited from class javax.faces.render.Renderer

      `PASSTHROUGH_RENDERER_LOCALNAME_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TreeNodeRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addClientEventHandlers(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
    `void` | `decodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
    `void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `encodeCustomIcon(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String styleClass, String iconSource)`
    `protected void` | `encodeDefaultIcon(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String styleClass)`
    `protected void` | `encodeIcon(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `encodeIconForNodeState(javax.faces.context.FacesContext context, AbstractTree tree, AbstractTreeNode treeNode, TreeNodeState nodeState, String customIcon)`
    `void` | `encodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
    `protected javax.faces.component.UIComponent` | `getHandleLoadingFacetIfApplicable(javax.faces.component.UIComponent component)`
    `protected TreeNodeState` | `getNodeState(javax.faces.context.FacesContext context)`
    `protected javax.faces.component.UIComponent` | `getTreeComponent(javax.faces.component.UIComponent treeNodeComponent)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TreeNodeRendererBase

          public TreeNodeRendererBase()

  - ### Method Detail

    - #### doDecode

          public void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `org.richfaces.renderkit.RendererBase`

    - #### decodeMetaComponent

          public void decodeMetaComponent(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 String metaComponentId)

      Specified by:
        `decodeMetaComponent` in interface `org.richfaces.ui.common.meta.MetaComponentRenderer`

    - #### encodeMetaComponent

          public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                 javax.faces.component.UIComponent component,
                                 String metaComponentId)
                                   throws IOException

      Specified by:
        `encodeMetaComponent` in interface `org.richfaces.ui.common.meta.MetaComponentRenderer`
      Throws:
        `IOException`

    - #### getNodeState

          protected TreeNodeState getNodeState(javax.faces.context.FacesContext context)

    - #### getTreeComponent

          protected javax.faces.component.UIComponent getTreeComponent(javax.faces.component.UIComponent treeNodeComponent)

    - #### encodeDefaultIcon

          protected void encodeDefaultIcon(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component,
                               String styleClass)
                                    throws IOException

      Throws:
        `IOException`

    - #### encodeCustomIcon

          protected void encodeCustomIcon(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              String styleClass,
                              String iconSource)
                                   throws IOException

      Throws:
        `IOException`

    - #### encodeIcon

          protected void encodeIcon(javax.faces.context.FacesContext context,
                        javax.faces.component.UIComponent component)
                             throws IOException

      Throws:
        `IOException`

    - #### encodeIconForNodeState

          protected void encodeIconForNodeState(javax.faces.context.FacesContext context,
                                    AbstractTree tree,
                                    AbstractTreeNode treeNode,
                                    TreeNodeState nodeState,
                                    String customIcon)
                                         throws IOException

      Throws:
        `IOException`

    - #### addClientEventHandlers

          protected void addClientEventHandlers(javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIComponent component)

    - #### getHandleLoadingFacetIfApplicable

          protected javax.faces.component.UIComponent getHandleLoadingFacetIfApplicable(javax.faces.component.UIComponent component)

Copyright © 2014 JBoss by Red Hat. All rights reserved.